package reichert._02_bildbearbeitung;

import processing.core.PApplet;
import processing.core.PImage;

public class AufgabeBildbearbeitungMitteAusdunkeln extends PApplet {

	private static final long serialVersionUID = 1L;

	PImage original;
	PImage bearbeitet;

	public void setup() {
		original = loadImage("goldengate.jpg");
		original.loadPixels();

		bearbeitet = new PImage(original.width, original.height);
		bearbeitet.loadPixels();

		for (int y = 0; y < original.height; y++) {
			for (int x = 0; x < original.width; x++) {
				int index = y * original.width + x;

				double deltaX = Math.abs(original.width / 2.0 - x);
				double deltaXProzent = 1 - deltaX / (original.width / 2);

				int rot = (int) (deltaXProzent * red(original.pixels[index]));
				int gruen = (int) (deltaXProzent * green(original.pixels[index]));
				int blau = (int) (deltaXProzent * blue(original.pixels[index]));

				bearbeitet.pixels[index] = color(rot, gruen, blau);
			}
		}
		bearbeitet.updatePixels();

		size(original.width * 2, original.height);
	}

	public void draw() {
		image(original, 0, 0, original.width, original.height);
		image(bearbeitet, original.width, 0, bearbeitet.width, bearbeitet.height);

	}

}
