package reichert._02_bildbearbeitung;

import processing.core.PApplet;
import processing.core.PImage;

public class AufgabeBildbearbeitungRotReduzieren extends PApplet {

	private static final long serialVersionUID = 1L;

	PImage original;
	PImage bearbeitet;

	public void setup() {
		original = loadImage("goldengate.jpg");
		original.loadPixels();

		bearbeitet = new PImage(original.width, original.height);
		bearbeitet.loadPixels();

		for (int y = 0; y < original.height; y++) {
			for (int x = 0; x < original.width; x++) {
				int index = y * original.width + x;

				float rot = red(original.pixels[index]);
				float gruen = green(original.pixels[index]);
				float blau = blue(original.pixels[index]);

				double deltaX = original.width - x;
				// wie weit ist Pixel vom rechten Rand entfernt?
				double prozentDeltaX = deltaX / original.width;
				// Abstand des Pixel vom rechten Rand in Prozent

				bearbeitet.pixels[index] = color((int) (rot * prozentDeltaX), gruen, blau);
			}
		}
		bearbeitet.updatePixels();

		size(original.width * 2, original.height);
	}

	public void draw() {
		image(original, 0, 0, original.width, original.height);
		image(bearbeitet, original.width, 0, bearbeitet.width, bearbeitet.height);

	}

}
